Bug 63234 - New port: misc/skyutils A library required by the new version of smssend (same author)
Summary: New port: misc/skyutils A library required by the new version of smssend (sam...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-22 20:00 UTC by machiel_mastenbroek
Modified: 2004-04-01 08:50 UTC (History)
1 user (show)

See Also:


Attachments
bug_repport (2.68 KB, text/plain)
2004-02-22 20:00 UTC, machiel_mastenbroek
no flags Details
skyutils (2.16 KB, application/octet-stream)
2004-03-29 15:32 UTC, machiel_mastenbroek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description machiel_mastenbroek 2004-02-22 20:00:22 UTC
This library contains many useful functions that the maintainer of Smssend and Skyutils used in many of his projects.

The current version of smssend is depended of this library.

My goal is to update smssend version 2.9-1 (from the port collection) to version 3.3.
Comment 1 Thierry Thomas freebsd_committer 2004-03-27 18:37:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I'll take it.
Comment 2 machiel_mastenbroek 2004-03-29 15:32:25 UTC
I have changed the Makefile and added this 2 extra lines

USE_LIBTOOL=        yes
INSTALLS_SHLIB=     yes


This new file is created from the relative path 'misc/skyutils/'

The file is also available from the following location:

http://www.generaal.net/san/skyutils

_________________________________________________________________
Hotmail en Messenger on the move 
http://www.msn.nl/communicatie/smsdiensten/hotmailsmsv2/
Comment 3 Thierry Thomas freebsd_committer 2004-03-30 23:08:40 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Remark: the patch file is now under files/.
Comment 4 machiel 2004-04-01 08:47:17 UTC
The configuration utility from the skyutils library
(/usr/local/bin/skyutils-config libs) does not return the linker option
-lcrypto.

Fix:

A new patch file for configure.in.

--- patch_file begins here ---
--- configure.in	Wed Aug 27 20:54:02 2003
+++ configure.in.new	Sat Feb 21 13:37:18 2004
@@ -171,7 +171,7 @@

 SU_SSL_CFLAGS=""
 if test "$ssl" = "true"; then
-  AC_CHECK_LIB(ssl,SSL_library_init,SU_SSL_LIB="-lssl")
+  AC_CHECK_LIB(ssl,SSL_library_init,SU_SSL_LIB="-lssl -lcrypto", ,-lcrypto)
   if test ! "$SU_SSL_LIB"; then
     AC_MSG_WARN("Cannot find libssl... ssl code in skyweb will be disabled")
   else

--- patch_file ends here ---

This file is also available from here:

http://machiel.generaal.net/files/patches/skyutils-2.6/patch2-configure.in